Get an admin assistant role
curl --request GET \
--url https://api.scholarlysoftware.com/api/v1/admin_assistant_roles/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.scholarlysoftware.com/api/v1/admin_assistant_roles/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scholarlysoftware.com/api/v1/admin_assistant_roles/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "admin_assistant_role",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"is_current": true,
"external_id": "AAR-001",
"effective_from": "2023-12-25",
"effective_to": "2023-12-25",
"custom_fields": {}
},
"relationships": {
"admin_assistant": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "user",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"faculty_member": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "user",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"permissions": {
"links": {
"related": "<string>"
},
"meta": {}
}
}
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}Admin Assistant Roles
Get an admin assistant role
Returns a specific admin assistant role mapping
GET
/
api
/
v1
/
admin_assistant_roles
/
{id}
Get an admin assistant role
curl --request GET \
--url https://api.scholarlysoftware.com/api/v1/admin_assistant_roles/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.scholarlysoftware.com/api/v1/admin_assistant_roles/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scholarlysoftware.com/api/v1/admin_assistant_roles/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "admin_assistant_role",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"is_current": true,
"external_id": "AAR-001",
"effective_from": "2023-12-25",
"effective_to": "2023-12-25",
"custom_fields": {}
},
"relationships": {
"admin_assistant": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "user",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"faculty_member": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "user",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"permissions": {
"links": {
"related": "<string>"
},
"meta": {}
}
}
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Bearer token
Path Parameters
Query Parameters
Comma-separated list of relationships to include. Allowed: admin_assistant, faculty_member, permissions
Response
admin assistant role found
Show child attributes
Show child attributes
⌘I